## python-aiopyarr 23.4.0

=== Makefile ===
.DEFAULT_GOAL := help

help: ## Shows this help message
	@printf "\033[1m%s\033[36m %s\033[32m %s\033[0m \n\n" "Development environment for" "aiopyarr" "";
	@awk 'BEGIN {FS = ":.*##";} /^[a-zA-Z_-]+:.*?##/ { printf " \033[36m make %-25s\033[0m %s\n", $$1, $$2 } /^##@/ { printf "\n\033[1m%s\033[0m\n", substr($$0, 5) } ' $(MAKEFILE_LIST);
	@echo

requirements: ## Install requirements
	@python3 -m pip --disable-pip-version-check install -r requirements.txt

lint: ## Lint all files
	@isort .
	@python3 -m black --fast .
	@python3 -m pylint aiopyarr tests
	@python3 -m flake8 aiopyarr tests
	@python3 -m mypy aiopyarr

coverage: ## Check the coverage of the package
	@python3 -m pytest tests --asyncio-mode=strict --cov=aiopyarr --cov-report term-missing -vv

setup: ## Setup the package
	@python3 setup.py develop

=== requirements.txt ===
aiohttp>=3.6.1,<4.0
aresponses>=2.1.4
black>=21.11b1
ciso8601>=2.2.0
isort>=5.10.1
flake8>=4.0.1
flake8-docstrings>=1.6.0
mypy>=0.910
orjson>=3.7.11
pylint>=2.12.1
pytest-cov>=3.0.0
pytest-asyncio>=0.16.0
pytest>=6.2.4

=== debian/changelog ===
python-aiopyarr (23.4.0-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 11:08:58 +0200

python-aiopyarr (23.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1078717)

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Aug 2024 16:50:30 +0200

=== debian/control ===
Source: python-aiopyarr
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp,
 python3-aresponses,
 python3-ciso8601,
 python3-mypy,
 python3-orjson,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aiopyarr
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aiopyarr.git
Homepage: https://github.com/tkdrob/aiopyarr

Package: python3-aiopyarr
Architecture: all
Depends:
 python3-aiohttp,
 python3-aresponses,
 python3-ciso8601,
 python3-mypy,
 python3-orjson,
 ${misc:Depends},
 ${python3:Depends},
Description: asynchronous Lidarr, Radarr, Readarr, Sonarr APIs
 This package provides an asynchronous Lidarr, Radarr, Readarr, Sonarr APIs for
 Python.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/tkdrob/aiopyarr.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aiopyarr/aiopyarr-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
